// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef TESTTRACE_CLASSES_RUNNABLECOMPONENT_H
#define TESTTRACE_CLASSES_RUNNABLECOMPONENT_H

/************************************************************
 RunnableComponent class header
 ************************************************************/

#include "TestTrace/Classes/Pkg_Classes.h"

#include "TestTrace/Classes/Package_A1/A1.h"
#include "sysinterfaces/IStart.h"

// derived using directives
using namespace TestTrace::Classes::Package_A1;
using namespace sysinterfaces;

namespace TestTrace {
namespace Classes {

/************************************************************/
/**
 * 
 */
class RunnableComponent: public IStart {
public:

	/**
	 * 
	 */
	A1 a1;

	/**
	 * 
	 */
	void run();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of RunnableComponent class header
 ************************************************************/

#endif
